GSPL-STOP(1)

NAME
gspl-stop - cancel spooler

gspl-suspend - suspend assignment of printers

gspl-release - release assignment of printers

SYNOPSIS
gspl-stop [ -y ]

gspl-suspend [ -y ] [ n ]

DESCRIPTION
gspl-stop is a program which should be invoked to bring the GNUspool spooler system to an orderly halt prior to system shutdown. Any jobs in progress will be saved, and the current page noted for resumption when the spooler is restarted. Confirmation is requested (reply "y" or "n") unless the "-y" option is specified.

gspl-suspend halts the assignment of jobs to printers for a short time, which defaults to 5 minutes or as given as a time in seconds last argument to the command, or until released by gspl-release. Again confirmation is requested unless the "-y" option is given.

Only a user with the Stop spooler privilege may successfully invoke any of these commands.

The reason why gspl-suspend this may be useful is that in a network scenario, where a new host is brought on line, a considerable amount of network traffic is created, and the assignment of printers to jobs and the broadcasting of information between hosts can flood the network to an unacceptable degree.

OPTIONS
Note that there is no means of saving the "-y" option in a .gnuspool file as this is not considered to be sensible. If you have to do this, put the command in a shell "wrapper".

-y  Do not ask for confirmation.

ENVIRONMENT

SPRESTCONF
    path name of alternative message file.

SEE ALSO
gspl-start(1), gnuspool.conf(5), gnuspool.hosts(5), spd(8), spdinit(8), spshed(8).

DIAGNOSTICS
Various diagnostics may be issued, read as required from the message file rest.help.

The most important ones are that it is not running and that the user is not permitted to invoke the command.

COPYRIGHT
Copyright (c) 2009 Free Software Foundation, Inc. This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.

AUTHOR
John M Collins, Xi Software Ltd.